﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Themes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ResourceDictionary ribbonTheme = new ResourceDictionary();
            ribbonTheme.Source = new Uri("/WpfApplication1;component/Resources/RibbonTheme.xaml", UriKind.RelativeOrAbsolute);
            ResourceDictionary dockManagerTheme = new ResourceDictionary();
            dockManagerTheme.Source = new Uri("/WpfApplication1;component/Resources/DockManagerTheme.xaml", UriKind.RelativeOrAbsolute);
            ResourceDictionary dataGridTheme = new ResourceDictionary();
            dataGridTheme.Source = new Uri("/WpfApplication1;component/Resources/DataGridTheme.xaml", UriKind.RelativeOrAbsolute);
            ResourceDictionary allTheme = new ResourceDictionary();
            allTheme.Source = new Uri("/WpfApplication1;component/Resources/AllTheme.xaml", UriKind.RelativeOrAbsolute);

            ThemeManager.Register("MyRibbonTheme", "Ribbon", ribbonTheme);
            ThemeManager.Register("MyDockManagerTheme", "DockManager", dockManagerTheme);
            ThemeManager.Register("MyDataGridTheme", "DataPresenter", dataGridTheme);

            ThemeManager.Register("MyAllTheme", "Ribbon", allTheme);
            ThemeManager.Register("MyAllTheme", "DockManager", allTheme);
            ThemeManager.Register("MyAllTheme", "DataPresenter", allTheme);
        }

        private void ButtonTool_Click(object sender, RoutedEventArgs e)
        {
            ThemeManager.CurrentTheme = "MyRibbonTheme";
        }

        private void ButtonTool_Click_1(object sender, RoutedEventArgs e)
        {
            ThemeManager.CurrentTheme = "MyDataGridTheme";
        }

        private void ButtonTool_Click_2(object sender, RoutedEventArgs e)
        {
            ThemeManager.CurrentTheme = "MyDockManagerTheme";
        }

        private void ButtonTool_Click_3(object sender, RoutedEventArgs e)
        {
            ThemeManager.CurrentTheme = "MyAllTheme";
        }
    }
}
